リンク
GET https://0o0.online/api/links/
curl --request GET \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション ストレッチ | 検索ストレッチ |
| search_by | オプション ストレッチ | どのフィールドを検索しているか? 許可された値は: url, location_url. |
| is_enabled | オプション ボリューム | |
| project_id | オプション 総合 | |
| type | オプション ストレッチ |
biolink, link, file, vcard, event, static |
| datetime_field | オプション ストレッチ | 許可された価値観: datetime, last_datetime |
| datetime_start | オプション ストレッチ | この日付から始まる結果をフィルタリングします。 Y-m-d H:i:s フォーマット |
| datetime_end | オプション ストレッチ | この日付までフィルター結果を表示します。 Y-m-d H:i:s フォーマット |
| order_by | オプション ストレッチ | どのフィールドで結果を注文するか? 許可された値は: link_id, datetime, last_datetime, clicks, url. |
| order_type | オプション ストレッチ | 結果の注文:許可された値は以下の通り。 ASC 昇天の命令と、 DESC 降りる命令。 |
| page | オプション 総合 | あなたが望むページ番号から結果を得る。 1. |
| results_per_page | オプション 総合 | ページごとにどれだけの結果が欲しいか? 許可された値は以下の通りです。 10, 25, 50, 100, 250, 500, 1000. 欠陥は 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:21",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/links?page=1",
"last": "https://0o0.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/links?page=1"
}
}
GET https://0o0.online/api/links/{link_id}
curl --request GET \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:21",
}
}
POST https://0o0.online/api/links
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | オプション ストレッチ | link |
| location_url | 必須 ストレッチ | で、The URL 目的地から。利用可能: is_bulk = 0 |
| location_urls | 必須 ストレッチ | で、The URL 目的地から。利用可能: is_bulk = 1 |
| url | オプション ストレッチ | で、The URL 生成されたリンクのアライアス. ランダムに生成された1つに空を残します。利用可能: is_bulk = 0 |
| is_bulk | オプション ボリューム | |
| domain_id | オプション 総合 | - |
| project_id | オプション 総合 | - |
| pixels_ids | オプション アレイ 総合 | - |
| email_reports | オプション アレイ | メッセージはIDS |
| schedule | オプション ボリューム | - |
| start_date | オプション ストレッチ | 利用可能: schedule = true |
| end_date | オプション ストレッチ | 利用可能: schedule = true |
| clicks_limit | オプション 総合 | - |
| expiration_url | オプション ストレッチ | - |
| sensitive_content | オプション ボリューム | - |
| http_status_code | オプション 総合 | 許可された価値観: 301, 302, 307, 308 |
| app_linking_is_enabled | オプション ボリューム | - |
| cloaking_is_enabled | オプション ボリューム | - |
| cloaking_title | オプション ストレッチ | - |
| cloaking_meta_description | オプション ストレッチ | - |
| cloaking_custom_js | オプション ストレッチ | - |
| cloaking_favicon | オプション ファイル | - |
| cloaking_opengraph | オプション ファイル | - |
| password | オプション ストレッチ | - |
| forward_query_parameters_is_enabled | オプション ボリューム | - |
| seo_block | オプション ボリューム | - |
| utm_source | オプション ストレッチ | - |
| utm_medium | オプション ストレッチ | - |
| utm_campaign | オプション ストレッチ | - |
| targeting_type | オプション ストレッチ | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | オプション ストレッチ | 利用可能: targeting_type = continent_code |
| targeting_continent_code_value[index] | オプション ストレッチ | 利用可能: targeting_type = continent_code |
| targeting_country_code_key[index] | オプション ストレッチ | 利用可能: targeting_type = country_code |
| targeting_country_code_value[index] | オプション ストレッチ | 利用可能: targeting_type = country_code |
| targeting_city_name_key[index] | オプション ストレッチ | 利用可能: targeting_type = city_name |
| targeting_city_name_value[index] | オプション ストレッチ | 利用可能: targeting_type = city_name |
| targeting_device_type_key[index] | オプション ストレッチ | 利用可能: targeting_type = device_type |
| targeting_device_type_value[index] | オプション ストレッチ | 利用可能: targeting_type = device_type |
| targeting_browser_language_key[index] | オプション ストレッチ | 利用可能: targeting_type = browser_language |
| targeting_browser_language_value[index] | オプション ストレッチ | 利用可能: targeting_type = browser_language |
| targeting_rotation_key[index] | オプション ストレッチ | 利用可能: targeting_type = rotation |
| targeting_rotation_value[index] | オプション ストレッチ | 利用可能: targeting_type = rotation |
| targeting_os_name_key[index] | オプション ストレッチ | 利用可能: targeting_type = os_name |
| targeting_os_name_value[index] | オプション ストレッチ | 利用可能: targeting_type = os_name |
| targeting_browser_name_key[index] | オプション ストレッチ | 利用可能: targeting_type = browser_name |
| targeting_browser_name_value[index] | オプション ストレッチ | 利用可能: targeting_type = browser_name |
curl --request POST \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/links/{link_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| location_url | オプション ストレッチ | で、The URL 目的地から。 |
| url | オプション ストレッチ | で、The URL 生成されたリンクのアライアス. ランダムに生成された1つに空を残します。 |
| domain_id | オプション 総合 | - |
| project_id | オプション 総合 | - |
| pixels_ids | オプション アレイ 総合 | - |
| email_reports | オプション アレイ | メッセージはIDS |
| schedule | オプション ボリューム | - |
| start_date | オプション ストレッチ | 利用可能: schedule = true |
| end_date | オプション ストレッチ | 利用可能: schedule = true |
| clicks_limit | オプション 総合 | - |
| expiration_url | オプション ストレッチ | - |
| sensitive_content | オプション ボリューム | - |
| http_status_code | オプション 総合 | 許可された価値観: 301, 302, 307, 308 |
| app_linking_is_enabled | オプション ボリューム | - |
| cloaking_is_enabled | オプション ボリューム | - |
| cloaking_title | オプション ストレッチ | - |
| cloaking_meta_description | オプション ストレッチ | - |
| cloaking_custom_js | オプション ストレッチ | - |
| cloaking_favicon | オプション ファイル | - |
| cloaking_opengraph | オプション ファイル | - |
| password | オプション ストレッチ | - |
| forward_query_parameters_is_enabled | オプション ボリューム | - |
| seo_block | オプション ボリューム | - |
| utm_source | オプション ストレッチ | - |
| utm_medium | オプション ストレッチ | - |
| utm_campaign | オプション ストレッチ | - |
| targeting_type | オプション ストレッチ | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | オプション ストレッチ | 利用可能: targeting_type = continent_code |
| targeting_continent_code_value[index] | オプション ストレッチ | 利用可能: targeting_type = continent_code |
| targeting_country_code_key[index] | オプション ストレッチ | 利用可能: targeting_type = country_code |
| targeting_country_code_value[index] | オプション ストレッチ | 利用可能: targeting_type = country_code |
| targeting_city_name_key[index] | オプション ストレッチ | 利用可能: targeting_type = city_name |
| targeting_city_name_value[index] | オプション ストレッチ | 利用可能: targeting_type = city_name |
| targeting_device_type_key[index] | オプション ストレッチ | 利用可能: targeting_type = device_type |
| targeting_device_type_value[index] | オプション ストレッチ | 利用可能: targeting_type = device_type |
| targeting_browser_language_key[index] | オプション ストレッチ | 利用可能: targeting_type = browser_language |
| targeting_browser_language_value[index] | オプション ストレッチ | 利用可能: targeting_type = browser_language |
| targeting_rotation_key[index] | オプション ストレッチ | 利用可能: targeting_type = rotation |
| targeting_rotation_value[index] | オプション ストレッチ | 利用可能: targeting_type = rotation |
| targeting_os_name_key[index] | オプション ストレッチ | 利用可能: targeting_type = os_name |
| targeting_os_name_value[index] | オプション ストレッチ | 利用可能: targeting_type = os_name |
| targeting_browser_name_key[index] | オプション ストレッチ | 利用可能: targeting_type = browser_name |
| targeting_browser_name_value[index] | オプション ストレッチ | 利用可能: targeting_type = browser_name |
| is_enabled | オプション ボリューム | - |
curl --request POST \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/links/{link_id}
curl --request DELETE \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \